nxt.ae

## Class AssetHistory

- java.lang.Object
- - nxt.ae.AssetHistory

-     public final class AssetHistory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AssetHistory.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<AssetHistory> listener, AssetHistory.Event eventType)`
    `static DbIterator<AssetHistory>` | `getAccountAssetDeletes(long accountId, int from, int to)`
    `static DbIterator<AssetHistory>` | `getAccountAssetDeletes(long accountId, long assetId, int from, int to)`
    `static DbIterator<AssetHistory>` | `getAccountAssetHistory(long accountId, int from, int to)`
    `static DbIterator<AssetHistory>` | `getAccountAssetHistory(long accountId, long assetId, int from, int to)`
    `static DbIterator<AssetHistory>` | `getAccountAssetIncreases(long accountId, int from, int to)`
    `static DbIterator<AssetHistory>` | `getAccountAssetIncreases(long accountId, long assetId, int from, int to)`
    `long` | `getAccountId()`
    `static DbIterator<AssetHistory>` | `getAssetDeletes(long assetId, int from, int to)`
    `static DbIterator<AssetHistory>` | `getAssetHistory(long assetId, int from, int to)`
    `long` | `getAssetId()`
    `static DbIterator<AssetHistory>` | `getAssetIncreases(long assetId, int from, int to)`
    `int` | `getChainId()`
    `byte[]` | `getFullHash()`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getQuantityQNT()`
    `int` | `getTimestamp()`
    `static void` | `init()`
    `static boolean` | `removeListener(Listener<AssetHistory> listener, AssetHistory.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addListener

          public static boolean addListener(Listener<AssetHistory> listener,
                                            AssetHistory.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<AssetHistory> listener,
                                               AssetHistory.Event eventType)

    - #### getAssetHistory

          public static DbIterator<AssetHistory> getAssetHistory(long assetId,
                                                                 int from,
                                                                 int to)

    - #### getAccountAssetHistory

          public static DbIterator<AssetHistory> getAccountAssetHistory(long accountId,
                                                                        int from,
                                                                        int to)

    - #### getAccountAssetHistory

          public static DbIterator<AssetHistory> getAccountAssetHistory(long accountId,
                                                                        long assetId,
                                                                        int from,
                                                                        int to)

    - #### getAssetDeletes

          public static DbIterator<AssetHistory> getAssetDeletes(long assetId,
                                                                 int from,
                                                                 int to)

    - #### getAccountAssetDeletes

          public static DbIterator<AssetHistory> getAccountAssetDeletes(long accountId,
                                                                        int from,
                                                                        int to)

    - #### getAccountAssetDeletes

          public static DbIterator<AssetHistory> getAccountAssetDeletes(long accountId,
                                                                        long assetId,
                                                                        int from,
                                                                        int to)

    - #### getAssetIncreases

          public static DbIterator<AssetHistory> getAssetIncreases(long assetId,
                                                                   int from,
                                                                   int to)

    - #### getAccountAssetIncreases

          public static DbIterator<AssetHistory> getAccountAssetIncreases(long accountId,
                                                                          int from,
                                                                          int to)

    - #### getAccountAssetIncreases

          public static DbIterator<AssetHistory> getAccountAssetIncreases(long accountId,
                                                                          long assetId,
                                                                          int from,
                                                                          int to)

    - #### init

          public static void init()

    - #### getId

          public long getId()

    - #### getFullHash

          public byte[] getFullHash()

    - #### getChainId

          public int getChainId()

    - #### getAssetId

          public long getAssetId()

    - #### getAccountId

          public long getAccountId()

    - #### getQuantityQNT

          public long getQuantityQNT()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()